Name:           task-lxqt-xfwm4
Version:        0.1
Release:        %mkrel 1
License:        GNU General Public License (GPL)
Url:            http://www.pclinuxos.com/
Source:         %{name}-%{version}.tar.xz
Summary:        task-lxqt-xfwm4-windowmanager
Group:          System/Configuration/Other
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:	gtkdialog
Requires:	xfwm4
Requires:	xfwm4-themes
Requires:	xfce4-power-manager
Provides:       Windowmanager application for lxqt
Obsoletes:	%name < %version

%description
This is a xfwm4 window manager application for PCLXQt. It display 
the most required applications in the LXQt Configuration Center. 

You must logout, to get the new window manager running!

#german
%description -l de
Dies ist eine xfwm4 Window-Manager-Anwendung für PCLXQt. Es zeigt
die erforderlichen Anwendungen im LXQt Configuration Center an.

Sie müssen sich abmelden um den neuen Fenstermanager starten zu können!

%prep

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/lxqtxfwm4cc.desktop << EOF
[Desktop Entry]
Name=Display XFCE4 Applications
Name[de]=Anzeigen der XFCE4 Anwendungen
Exec=/usr/bin/lxqtxfwm4cc
Comment=Customize your XFCE4 windowmanager in LXQT
Comment[de]=Passen Sie den XFCE4 Fenstermanger unter LXQT an
Icon=cc_icon.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;GTK;X-MandrivaLinux-System-Configuration;DesktopSettings;LXQt;
OnlyShowIn=LXQt;
EOF

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/lxqtxfwm4cc
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps

install -m 755 lxqtxfwm4cc $RPM_BUILD_ROOT%{_bindir}/lxqtxfwm4cc
install -m 644 icon/cc_icon.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/cc_icon.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/lxqtxfwm4cc.mo $RPM_BUILD_DIR/%{name}-%{version}/po/lxqtxfwm4cc-de_DE.po


%files 
%defattr(-, root, root)
%{_bindir}/lxqtxfwm4cc
%{_datadir}/applications/lxqtxfwm4cc.desktop
%{_datadir}/icons/hicolor/32x32/apps/cc_icon.png
%doc readme.txt
%{_datadir}/locale/*/LC_MESSAGES/lxqtxfwm4cc.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus} 


%postun
%{clean_menus}


%posttrans
echo "Please restart your session, to get the new window manager running"

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do if [ -e /home/$idx/.config/lxqt/session.conf ]; then
perl -pi -e "s|window_manager=openbox|window_manager=xfwm4|g" /home/$idx/.config/lxqt/session.conf
fi
done

%changelog
* Sat Apr 02 2016 daniel <meisssw01 at gmail.com> 0.1-1pclos2016
- initial build 
